Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 753236 - sci-geosciences/qgis-3.16.0-r1 stabilisation
Summary: sci-geosciences/qgis-3.16.0-r1 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-11-05 18:34 UTC by Andreas Sturmlechner
Modified: 2020-11-18 21:09 UTC (History)
2 users (show)

See Also:
Package list:
sci-geosciences/qgis-3.16.0-r1 dev-python/owslib-0.20.0 dev-python/pyproj-2.6.1_p1 sci-libs/shapely-1.7.1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-11-05 18:34:23 UTC
In preparation.
Comment 1 NATTkA bot gentoo-dev 2020-11-10 07:13:01 UTC
Sanity check failed:

> sci-geosciences/qgis-3.16.0-r1
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (3 total)
>     dev-python/owslib[python_targets_python3_9(-)]
>   depend amd64 stable profile default/linux/amd64/17.1 (25 total)
>     dev-python/owslib[python_targets_python3_9(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (3 total)
>     dev-python/owslib[python_targets_python3_9(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.1 (25 total)
>     dev-python/owslib[python_targets_python3_9(-)]
Comment 2 NATTkA bot gentoo-dev 2020-11-10 12:25:02 UTC
All sanity-check issues have been resolved
Comment 3 Andreas Sturmlechner gentoo-dev 2020-11-11 19:30:31 UTC
USE="-python" build failure stable blocker.
Comment 4 Larry the Git Cow gentoo-dev 2020-11-11 21:57:58 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bafd33c2871256466aeb327bcd47c64c15be9a5f

commit bafd33c2871256466aeb327bcd47c64c15be9a5f
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-11 21:47:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-11 21:57:42 +0000

    sci-geosciences/qgis: Disable WITH_QGIS_PROCESS if IUSE="-python"
    
    Workaround until upstream issue #39973 is fixed.
    
    Bug: https://bugs.gentoo.org/753236
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sci-geosciences/qgis/qgis-3.16.0-r1.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 5 Thomas Deutschmann gentoo-dev Security 2020-11-17 22:01:23 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-11-18 06:53:46 UTC
amd64 stable. Closing.
Comment 7 Larry the Git Cow gentoo-dev 2020-11-18 21:09:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43aad7b6d7418a770b60076dfcb0a4ce2b15eb7a

commit 43aad7b6d7418a770b60076dfcb0a4ce2b15eb7a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-18 18:40:51 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-18 21:08:53 +0000

    sci-geosciences/qgis: Drop 3.10.9
    
    Closes: https://bugs.gentoo.org/753236
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sci-geosciences/qgis/Manifest                      |   1 -
 .../qgis/files/qgis-3.10.0-cmake-lib-suffix.patch  |  12 --
 sci-geosciences/qgis/qgis-3.10.9.ebuild            | 203 ---------------------
 3 files changed, 216 deletions(-)